Package org.apache.aries.jax.rs.rest.management.internal

## Class ExtensionResource

- java.lang.Object
- - org.apache.aries.jax.rs.rest.management.internal.BaseResource
  - - org.apache.aries.jax.rs.rest.management.internal.ExtensionResource

    public class ExtensionResource
    extends BaseResource

### Constructor Summary

Constructors
`ExtensionResource​(org.osgi.framework.BundleContext bundleContext, Set<org.apache.aries.component.dsl.CachingServiceReference<org.osgi.service.rest.RestApiExtension>> extensions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.ws.rs.core.Response` `extensions​(String ext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtensionResource

    public ExtensionResource​(org.osgi.framework.BundleContext bundleContext,
                             Set<org.apache.aries.component.dsl.CachingServiceReference<org.osgi.service.rest.RestApiExtension>> extensions)

### Method Detail

#### extensions

    @GET
    @Path("extensions{ext: (\\.json|\\.xml)*}")
    @Produces({"application/org.osgi.extensions+json","application/org.osgi.extensions+xml"})
    public javax.ws.rs.core.Response extensions​(@PathParam("ext")
                                                String ext)